/*
 * Copyright 2004 original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jmesa.view.editor;

import org.jmesa.view.AbstractContextSupport;

/**
 * Abstract class to hold the pattern information for supporting classes.
 * 
 * @since 2.2
 * @author Jeff Johnston
 */
public abstract class AbstractPatternSupport extends AbstractContextSupport implements CellEditor, PatternSupport {
    private String pattern;

    /**
     * {@inheritDoc}
     */
    public String getPattern() {
        return pattern;
    }

    /**
     * {@inheritDoc}
     */
    public void setPattern(String pattern) {
        this.pattern = pattern;
    }
}
